Bug 1552814 - Need builds for F28 and F29 that reflect the Modularity changes
Summary: Need builds for F28 and F29 that reflect the Modularity changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: 28
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F28BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-03-07 19:25 UTC by Adam Williamson
Modified: 2018-03-14 01:51 UTC (History)
9 users (show)

Fixed In Version: fedora-repos-28-0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-14 01:51:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2018-03-07 19:25:37 UTC
Changes were made in the upstream git repo to add new files and adjust existing files for the changes to repo layout made for Modularity:

https://pagure.io/fedora-repos/c/802280dfb6c73450fa71d02d232ded36b67522d5?branch=master

however, no package build with those changes has yet been done. We need package builds with those changes for at least F28 and Rawhide, I believe.

Comment 1 Adam Williamson 2018-03-10 06:30:38 UTC
I think this merits at least a freeze exception for Beta as we do not currently have repo definitions for modular (it's also messing with openQA).

Comment 2 Adam Williamson 2018-03-10 22:14:37 UTC
A build has been sent for Rawhide, so making this for F28. We have a build, but need to push an update stable:

https://bodhi.fedoraproject.org/updates/FEDORA-2018-795b38a6a2

Comment 3 Fedora Update System 2018-03-10 22:14:58 UTC
fedora-repos-28-0.6 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-795b38a6a2

Comment 4 Fedora Update System 2018-03-11 03:06:05 UTC
fedora-repos-28-0.6 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-795b38a6a2

Comment 5 Lukas Ruzicka 2018-03-12 10:09:25 UTC
The package to allow this repo is there in updates, but it points to a non-existent repository (https://mirrors.fedoraproject.org/mirrorlist?repo=fedora-modular-28&arch=x86_64). 

In fedora-modular.repo, the repository is enabled which makes the dnf cry:

Error: Failed to synchronize cache for repo 'fedora-modular'

Disabling it in the configuration file makes dnf work again with no problems.

Comment 6 Geoffrey Marr 2018-03-12 20:51:03 UTC
Discussed during the 2018-03-12 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made as the new files are necessary for Modularity enablement, which is a major change in Fedora 28 and as such, needs to land in the Beta release.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-03-12/f28-blocker-review.2018-03-12-16.01.txt

Comment 7 Kevin Fenzi 2018-03-12 20:53:42 UTC
This has been corrected in mirrormanager now, the repo exists and is valid.

Comment 8 Fedora Update System 2018-03-13 13:24:49 UTC
fedora-repos-28-0.7 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4d9ed17815

Comment 9 Lukas Ruzicka 2018-03-13 13:40:11 UTC
I can confirm, that today, there was no issue with fedora-modularity.repo.

Thanks.

Comment 10 Fedora Update System 2018-03-13 15:13:27 UTC
fedora-repos-28-0.7 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4d9ed17815

Comment 11 Fedora Update System 2018-03-14 01:51:26 UTC
fedora-repos-28-0.7 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.